nord.rtl.css 24 KB

12345678910111213141516171819202122232425262728293031323334353637383940414243444546474849505152535455565758596061626364656667686970717273747576777879808182838485868788899091929394959697989910010110210310410510610710810911011111211311411511611711811912012112212312412512612712812913013113213313413513613713813914014114214314414514614714814915015115215315415515615715815916016116216316416516616716816917017117217317417517617717817918018118218318418518618718818919019119219319419519619719819920020120220320420520620720820921021121221321421521621721821922022122222322422522622722822923023123223323423523623723823924024124224324424524624724824925025125225325425525625725825926026126226326426526626726826927027127227327427527627727827928028128228328428528628728828929029129229329429529629729829930030130230330430530630730830931031131231331431531631731831932032132232332432532632732832933033133233333433533633733833934034134234334434534634734834935035135235335435535635735835936036136236336436536636736836937037137237337437537637737837938038138238338438538638738838939039139239339439539639739839940040140240340440540640740840941041141241341441541641741841942042142242342442542642742842943043143243343443543643743843944044144244344444544644744844945045145245345445545645745845946046146246346446546646746846947047147247347447547647747847948048148248348448548648748848949049149249349449549649749849950050150250350450550650750850951051151251351451551651751851952052152252352452552652752852953053153253353453553653753853954054154254354454554654754854955055155255355455555655755855956056156256356456556656756856957057157257357457557657757857958058158258358458558658758858959059159259359459559659759859960060160260360460560660760860961061161261361461561661761861962062162262362462562662762862963063163263363463563663763863964064164264364464564664764864965065165265365465565665765865966066166266366466566666766866967067167267367467567667767867968068168268368468568668768868969069169269369469569669769869970070170270370470570670770870971071171271371471571671771871972072172272372472572672772872973073173273373473573673773873974074174274374474574674774874975075175275375475575675775875976076176276376476576676776876977077177277377477577677777877978078178278378478578678778878979079179279379479579679779879980080180280380480580680780880981081181281381481581681781881982082182282382482582682782882983083183283383483583683783883984084184284384484584684784884985085185285385485585685785885986086186286386486586686786886987087187287387487587687787887988088188288388488588688788888989089189289389489589689789889990090190290390490590690790890991091191291391491591691791891992092192292392492592692792892993093193293393493593693793893994094194294394494594694794894995095195295395495595695795895996096196296396496596696796896997097197297397497597697797897998098198298398498598698798898999099199299399499599699799899910001001100210031004100510061007100810091010101110121013101410151016101710181019102010211022102310241025102610271028102910301031103210331034103510361037103810391040104110421043104410451046104710481049105010511052105310541055105610571058105910601061106210631064106510661067106810691070107110721073107410751076107710781079108010811082108310841085108610871088108910901091109210931094109510961097109810991100110111021103110411051106110711081109111011111112111311141115111611171118111911201121112211231124112511261127112811291130113111321133113411351136113711381139114011411142114311441145114611471148114911501151115211531154115511561157115811591160116111621163116411651166116711681169117011711172117311741175117611771178117911801181118211831184118511861187118811891190119111921193119411951196119711981199120012011202120312041205120612071208120912101211121212131214121512161217121812191220122112221223122412251226122712281229123012311232123312341235123612371238123912401241124212431244124512461247124812491250125112521253125412551256125712581259126012611262126312641265126612671268126912701271127212731274127512761277127812791280128112821283128412851286128712881289129012911292129312941295129612971298129913001301130213031304130513061307130813091310131113121313131413151316131713181319132013211322132313241325132613271328132913301331133213331334133513361337133813391340134113421343134413451346134713481349135013511352135313541355135613571358135913601361136213631364136513661367
  1. @charset "UTF-8";
  2. /*******************
  3. * Theme is based on the Nord theme: https://www.nordtheme.com/docs/colors-and-palettes (archived: https://archive.ph/LVpdB)
  4. *******************/
  5. :root {
  6. /* Set sans-serif & mono fonts */
  7. --sans-font: Inter, Lato,Helvetica,"IBM Plex Sans","Roboto",-apple-system,BlinkMacSystemFont,"Nimbus Sans L",Avenir,"Noto Sans", "Segoe UI",Arial,Helvetica,"Helvetica Neue",sans-serif;
  8. --mono-font: "mononoki Nerd Font","IBM Plex Mono","Roboto Mono","Ubuntu Mono","Fira Code","Overpass Mono", Monaco,"Droid Sans Mono",monospace;
  9. /* given theme colors: */
  10. --nordX-background: #242933;
  11. --nord0-polarnight: #2e3440;
  12. --nord1-polarnight: #3b4252;
  13. --nord2-polarnight: #434c5e;
  14. --nord3-polarnight: #4c566a;
  15. --nord4-snowstorm: #d8dee9;
  16. /* --nord5-snowstorm: #e5e9f0; */
  17. --nord6-snowstorm: #eceff4;
  18. /* --nord7-frost: #8fbcbb; */
  19. --nord8-frost: #88c0d0;
  20. --nord9-frost: #81a1c1;
  21. /* --nord10-frost: #5e81ac; */
  22. --nord11-aurora: #bf616a;
  23. /* --nord12-aurora: #d08770; */
  24. --nord13-aurora: #ebcb8b;
  25. --nord14-aurora: #a3be8c;
  26. --nord15-aurora: #b48ead;
  27. --main-background: var(--nordX-background);
  28. --main-background-transparent: #242933cc;
  29. --accent-bg: var(--nord0-polarnight);
  30. --accent-border: var(--nord0-polarnight);
  31. --light-bg: var(--nord1-polarnight);
  32. --dropdown-bg: var(--nord2-polarnight);
  33. --border-elements: var(--nord3-polarnight);
  34. --text-accent: var(--nord4-snowstorm);
  35. --text-default: var(--nord6-snowstorm);
  36. --highlight: var(--nord8-frost);
  37. --accent: var(--nord9-frost);
  38. --red: var(--nord11-aurora);
  39. --orange: var(--nord13-aurora);
  40. --green: var(--nord14-aurora);
  41. --purple: var(--nord15-aurora);
  42. --frss-background-color-transparent: #2e34407f;
  43. --frss-background-color: var(--main-background);
  44. --frss-box-shadow-color-transparent: #111;
  45. --frss-switch-accent-color: var(--nord14-aurora);
  46. --frss-background-color-middle: var(--highlight);
  47. --frss-background-color-dark: var(--light-bg);
  48. --frss-background-color-error-transparent: #bf616a40;
  49. --frss-border-color: var(--border-elements);
  50. --frss-scrollbar-handle: #0002;
  51. --frss-scrollbar-handle-hover: var(--nord1-polarnight);
  52. --frss-scrollbar-track: transparent;
  53. --frss-scrollbar-track-hover: transparent;
  54. }
  55. /*=== GENERAL */
  56. /*============*/
  57. @font-face {
  58. font-family: 'Lato';
  59. src: local('Lato'),
  60. url('../fonts/LatoLatin-Regular.woff') format('woff'),
  61. url('../fonts/LatoLatin-Bold.woff') format('woff'),
  62. url('../fonts/LatoLatin-Bolditalic.woff') format('woff'),
  63. url('../fonts/LatoLatin-Italic.woff') format('woff');
  64. }
  65. @font-face {
  66. font-family: 'Noto Sans';
  67. src: local('Noto Sans'), local('NotoSans');
  68. }
  69. html, body {
  70. background: var(--main-background);
  71. color: var(--text-default);
  72. font-family: var(--sans-font);
  73. }
  74. /*=== Links */
  75. a, .as-link, button.as-link {
  76. color: var(--accent);
  77. }
  78. a:hover, .as-link:hover, button.as-link:hover {
  79. color: var(--highlight);
  80. }
  81. p.help {
  82. color: var(--text-accent);
  83. font-size: 0.9em;
  84. font-style: italic;
  85. padding-right: 0.25rem;
  86. }
  87. p.help img {
  88. height: 1em;
  89. vertical-align: middle;
  90. }
  91. kbd {
  92. color: var(--orange);
  93. border-color: var(--border-elements);
  94. background-color: var(--accent-bg);
  95. }
  96. legend {
  97. margin: 20px 0 5px;
  98. padding: 5px 0;
  99. font-size: 1.4em;
  100. }
  101. label {
  102. min-height: 25px;
  103. padding: 5px 0;
  104. cursor: pointer;
  105. }
  106. input, select, textarea {
  107. color: var(--text-default);
  108. border: 1px solid var(--border-elements);
  109. border-radius: 6px;
  110. background-color: transparent;
  111. min-height: 25px;
  112. line-height: 1;
  113. }
  114. input:invalid,
  115. select:invalid,
  116. textarea:invalid {
  117. border-color: var(--red);
  118. }
  119. input:hover,
  120. select:hover,
  121. textarea:hover {
  122. border-color: var(--accent);
  123. }
  124. input:focus,
  125. select:focus,
  126. textarea:focus {
  127. background-color: var(--main-background);
  128. border-color: var(--highlight);
  129. outline: none;
  130. }
  131. input:disabled, select:disabled {
  132. border-color: var(--border-elements);
  133. color: var(--text-accent);
  134. }
  135. button.as-link[disabled] {
  136. color: var(--text-accent);
  137. font-style: italic;
  138. }
  139. /*=== Tables */
  140. .config-articleicons td,
  141. .config-articleicons th {
  142. font-weight: normal;
  143. }
  144. table {
  145. border-collapse: collapse;
  146. }
  147. table tr {
  148. border-bottom: 1px solid var(--border-elements);
  149. }
  150. table th, table td {
  151. padding: 10px 20px;
  152. }
  153. .form-group.form-actions {
  154. margin: 2rem 0 5rem 0;
  155. background-color: var(--main-background-transparent);
  156. }
  157. .form-group .group-name {
  158. padding: 10px 0;
  159. }
  160. .form-group .group-controls {
  161. padding: 5px 0;
  162. min-height: 25px;
  163. }
  164. /*=== Buttons */
  165. .btn {
  166. margin: .3rem 0 0.3rem .6rem;
  167. padding: 0.25rem 0.5rem;
  168. background: var(--accent-bg);
  169. color: var(--accent);
  170. font-size: 0.9rem;
  171. border: 1px solid var(--border-elements);
  172. border-radius: 5px;
  173. text-decoration: none;
  174. transition: .2s;
  175. min-height: 25px;
  176. min-width: 15px;
  177. vertical-align: middle;
  178. line-height: 25px;
  179. }
  180. .btn.active {
  181. background-color: var(--main-background);
  182. border: 1px solid var(--accent);
  183. }
  184. div:target ~ .btn {
  185. background-color: var(--highlight);
  186. border: 1px solid var(--highlight);
  187. }
  188. div:target ~ .btn .icon {
  189. filter: brightness(30%);
  190. }
  191. .btn:hover {
  192. color: var(--highlight);
  193. border: 1px solid var(--highlight);
  194. text-decoration: none;
  195. }
  196. a:hover .icon,
  197. .btn:hover .icon {
  198. filter: invert(86%) sepia(8%) saturate(1976%) hue-rotate(159deg) brightness(180%) contrast(100%);
  199. transition: .2s filter;
  200. }
  201. .btn-important, #nav_menu_read_all .read_all, #actualize {
  202. font-weight: bold !important;
  203. background-color: var(--accent) !important;
  204. color: var(--main-background) !important;
  205. }
  206. .btn-important:hover, #nav_menu_read_all .read_all:hover, #actualize:hover {
  207. background-color: var(--highlight) !important;
  208. }
  209. #btn-add.btn-important .icon, #actualize .icon {
  210. filter: brightness(0);
  211. }
  212. .btn-attention {
  213. color: var(--red) !important;
  214. border: 1px solid var(--red) !important;
  215. }
  216. .btn-attention:hover {
  217. background: var(--red);
  218. transition: 0.2s background;
  219. color: var(--main-background) !important;
  220. }
  221. .btn:hover,
  222. svg:hover {
  223. cursor: pointer;
  224. }
  225. .stick input,
  226. .stick select,
  227. .stick .btn {
  228. border-radius: 0;
  229. }
  230. .stick input:first-child,
  231. .stick select:first-child,
  232. .stick .btn:first-child {
  233. border-top-right-radius: 6px;
  234. border-bottom-right-radius: 6px;
  235. border-left-width: 0;
  236. }
  237. .dropdown-menu .stick input {
  238. background-color: var(--light-bg);
  239. border-color: var(--accent-border);
  240. }
  241. .dropdown-menu .stick input:focus {
  242. background-color: var(--accent-bg);
  243. }
  244. .dropdown-menu .stick .btn {
  245. border-color: var(--accent-border);
  246. }
  247. .stick input:hover,
  248. .stick:hover input,
  249. .stick:hover .btn {
  250. border-color: var(--accent) !important
  251. }
  252. .stick .btn:hover,
  253. .stick input:focus,
  254. .stick input:focus ~ .btn {
  255. border-color: var(--highlight) !important
  256. }
  257. .nav_menu .stick input,
  258. .nav_menu .stick .btn {
  259. border-radius: 6px;
  260. border-left-width: 1px;
  261. }
  262. .nav_menu .stick #mark-read-menu .read_all.btn,
  263. .nav_menu .dropdown-menu .stick.search input {
  264. margin-left: 0;
  265. border-top-left-radius: 0;
  266. border-bottom-left-radius: 0;
  267. }
  268. .nav_menu .stick #mark-read-menu .dropdown-toggle.btn,
  269. .nav_menu .dropdown-menu .stick.search .btn {
  270. margin-right: 0;
  271. border-right: 0;
  272. border-top-right-radius: 0;
  273. border-bottom-right-radius: 0;
  274. }
  275. .stick .btn:last-child {
  276. margin-left: 0;
  277. border-top-left-radius: 6px;
  278. border-bottom-left-radius: 6px;
  279. }
  280. .stick .btn {
  281. margin-top: 0;
  282. margin-bottom: 0;
  283. }
  284. .stick.configure-feeds .btn {
  285. margin-left: 0;
  286. }
  287. .header .stick,
  288. .header .btn {
  289. margin: 0
  290. }
  291. /*=== Navigation */
  292. .dropdown-menu {
  293. margin: 5px 0 0;
  294. padding: 0.5rem 0 0.25rem 0;
  295. background: var(--dropdown-bg);
  296. font-size: 0.8rem;
  297. border: none;
  298. border-radius: 6px;
  299. text-align: right;
  300. }
  301. .dropdown-header,
  302. .dropdown-section .dropdown-section-title {
  303. padding: 0.5rem 0.75rem;
  304. font-weight: bold;
  305. text-align: right;
  306. }
  307. .dropdown-menu .item > a,
  308. .dropdown-menu .item > span,
  309. .dropdown-menu .item > .as-link {
  310. padding: 0 22px;
  311. line-height: 2.5em;
  312. font-size: inherit;
  313. min-width: 200px;
  314. }
  315. .dropdown-menu .dropdown-section .item > a,
  316. .dropdown-menu .dropdown-section .item > span,
  317. .dropdown-menu .dropdown-section .item > .as-link {
  318. padding-right: 2rem;
  319. }
  320. .dropdown-menu .dropdown-section .item:last-child {
  321. margin-bottom: 0.5rem;
  322. }
  323. .dropdown-menu .item > a:focus,
  324. .dropdown-menu .item > a:hover,
  325. .dropdown-menu .item > button:focus:not([disabled]),
  326. .dropdown-menu .item > button:hover:not([disabled]),
  327. .dropdown-menu .item > label:focus:not(.noHover),
  328. .dropdown-menu .item > label:hover:not(.noHover) {
  329. background-color: var(--light-bg);
  330. color: var(--text-default);
  331. transition: .2s;
  332. }
  333. .dropdown-menu > .item[aria-checked="true"] > a::before {
  334. font-weight: bold;
  335. margin: 0 -14px 0 0;
  336. }
  337. .dropdown-menu .input select,
  338. .dropdown-menu .input input {
  339. margin: 0 auto 5px;
  340. padding: 2px 5px;
  341. }
  342. .dropdown-menu > .item:hover > a {
  343. text-decoration: none;
  344. }
  345. .dropdown-close a:hover {
  346. background: none;
  347. }
  348. .dropdown-target:target ~ .dropdown-toggle::after {
  349. background-color: var(--dropdown-bg);
  350. border: none;
  351. left: 13px;
  352. bottom: -14px;
  353. }
  354. .dropdown-menu-scrollable .dropdown-close {
  355. display: none;
  356. }
  357. .item ~ .dropdown-header,
  358. .dropdown-section ~ .dropdown-section,
  359. .item.separator {
  360. border-top-color: var(--accent-border);
  361. }
  362. /*=== Alerts */
  363. .alert {
  364. color: var(--text-accent);
  365. font-size: 0.9em;
  366. border: 1px solid var(--border-elements);
  367. border-radius: 6px;
  368. background-color: var(--light-bg);
  369. }
  370. .alert-success {
  371. border-color: var(--green);
  372. }
  373. .alert-head {
  374. font-size: 1.15em;
  375. }
  376. .alert > a {
  377. text-decoration: underline;
  378. }
  379. .alert-warn {
  380. border-color: var(--orange);
  381. }
  382. .alert-error {
  383. border-color: var(--red);
  384. }
  385. /*=== Icons */
  386. .icon {
  387. filter: invert(74%) sepia(29%) saturate(411%) hue-rotate(171deg) brightness(130%) contrast(85%);
  388. }
  389. img.favicon {
  390. background: var(--text-accent);
  391. border-radius: 4px;
  392. }
  393. /*=== Pagination */
  394. .pagination {
  395. padding: 0.5rem;
  396. background-color: var(--accent-bg);
  397. }
  398. .pagination .item a {
  399. border-radius: 6px;
  400. }
  401. .pagination .item.active a {
  402. color: var(--highlight);
  403. font-weight: bold;
  404. }
  405. .pagination .item a:hover {
  406. background-color: var(--main-background);
  407. color: var(--text-default);
  408. transition: .2s;
  409. }
  410. /*=== Boxes */
  411. .box {
  412. background-color: var(--accent-bg);
  413. border-radius: 10px;
  414. }
  415. .box .box-content {
  416. padding-bottom: 1.5rem;
  417. list-style: none;
  418. }
  419. .box .box-title {
  420. padding-top: 0.75rem;
  421. padding-bottom: 0.5rem;
  422. border-bottom: 1px solid var(--nordX-background);
  423. }
  424. .box .box-title .configure {
  425. padding-left: .25rem;
  426. }
  427. .box .box-title h2 {
  428. color: var(--accent);
  429. font-size: 1rem;
  430. }
  431. .box .box-title .configure:not([data-cat-position=""])::after {
  432. top: .5rem;
  433. }
  434. .box .box-content .item {
  435. padding: 0;
  436. font-size: 0.9rem;
  437. }
  438. /*=== Draggable */
  439. .drag-hover {
  440. margin: 0 0 5px;
  441. }
  442. [draggable=true] {
  443. cursor: grab;
  444. }
  445. /*=== Tree */
  446. .tree {
  447. margin: 10px 0;
  448. }
  449. .tree-folder-title .title {
  450. background: inherit;
  451. }
  452. .tree-folder-title:hover button.dropdown-toggle .icon {
  453. filter: invert(74%) sepia(29%) saturate(411%) hue-rotate(171deg) brightness(130%) contrast(85%);
  454. }
  455. .tree-folder-title button.dropdown-toggle:hover .icon {
  456. filter: invert(86%) sepia(8%) saturate(1976%) hue-rotate(159deg) brightness(180%) contrast(100%);
  457. }
  458. .tree-folder.category {
  459. border-bottom: 1px solid var(--main-background);
  460. }
  461. .tree-folder.category.active .tree-folder-title,
  462. .tree-folder.category .tree-folder-title:hover,
  463. .tree-folder.category:hover .tree-folder-title {
  464. background: var(--light-bg);
  465. }
  466. .tree-folder .tree-folder-title:hover a,
  467. .tree-folder.category.active .tree-folder-title:hover a,
  468. .tree-folder .tree-folder-items .item.feed:hover a {
  469. color: var(--text-default);
  470. }
  471. .tree-folder.category.active .tree-folder-title a {
  472. color: var(--highlight);
  473. }
  474. .tree-folder-items > .item {
  475. color: var(--text-default);
  476. font-size: 0.8rem;
  477. }
  478. .tree-folder-items > .item > a {
  479. text-decoration: none;
  480. }
  481. .tree-folder-title {
  482. position: relative;
  483. padding: 0.25rem 0.75rem;
  484. font-size: 1rem;
  485. }
  486. .tree-folder-title .title:hover {
  487. text-decoration: none;
  488. }
  489. .tree-folder.active .tree-folder-title {
  490. font-weight: bold;
  491. }
  492. /*=== STRUCTURE */
  493. /*===============*/
  494. /*=== Header */
  495. .header > .item {
  496. vertical-align: middle;
  497. text-align: center;
  498. }
  499. .header > .item.title h1 {
  500. margin: 0.5em 0;
  501. }
  502. .header > .item.title h1 a {
  503. text-decoration: none;
  504. }
  505. .header > .item.search input {
  506. width: 350px;
  507. }
  508. .header > .item.title .logo {
  509. filter: grayscale(100%) brightness(2.5);
  510. }
  511. .header > .item.title a:hover .logo {
  512. filter: grayscale(85%) brightness(2.5);
  513. }
  514. /*=== Body */
  515. .aside {
  516. background-color: var(--accent-bg);
  517. border-top-left-radius: 12px;
  518. }
  519. /*=== Aside main page */
  520. .aside.aside_feed {
  521. padding: 10px 0;
  522. text-align: center;
  523. }
  524. .aside.nav-list .nav-section .item.active a,
  525. .aside.nav-list .nav-section .item.active .as-link {
  526. color: var(--highlight);
  527. font-weight: bold;
  528. }
  529. .aside.nav-list .nav-section .item a:hover,
  530. .aside.nav-list .nav-section .item .as-link:hover {
  531. background-color: var(--main-background);
  532. color: var(--text-default);
  533. transition: .2s;
  534. }
  535. .aside.aside_feed .tree {
  536. margin: 10px 0 50px;
  537. }
  538. .aside_feed .category .title:not([data-unread="0"]) {
  539. width: calc(100% - 35px - 20px);
  540. }
  541. .aside_feed .tree-folder-items.active {
  542. padding-bottom: 1rem;
  543. background-color: var(--main-background);
  544. }
  545. .aside.aside_feed .nav-form input,
  546. .aside.aside_feed .nav-form select {
  547. width: 140px;
  548. }
  549. .aside.aside_feed .nav-form .dropdown .dropdown-menu {
  550. left: -20px;
  551. }
  552. .aside.aside_feed .nav-form .dropdown .dropdown-menu::after {
  553. left: 33px;
  554. }
  555. .aside_feed .tree-folder-title button.dropdown-toggle {
  556. margin: -0.5rem -0.75rem -0.5rem 0;
  557. padding: 0.5rem 0.75rem 0.5rem 0;
  558. }
  559. .aside_feed .tree-folder-items .item .dropdown-target:target ~ .dropdown-toggle > .icon,
  560. .aside_feed .tree-folder-items .item:hover .dropdown-toggle > .icon,
  561. .aside_feed .tree-folder-items .item.active .dropdown-toggle > .icon {
  562. border-radius: 3px;
  563. }
  564. .aside .toggle_aside,
  565. .dropdown-menu .toggle_aside,
  566. #slider .toggle_aside,
  567. .dropdown-header-close a {
  568. background: var(--accent-bg);
  569. border: 1px solid var(--accent-border);
  570. box-sizing: border-box;
  571. transition: 0.2s;
  572. }
  573. .aside .toggle_aside:hover,
  574. #slider .toggle_aside:hover,
  575. .dropdown-menu .toggle_aside:hover {
  576. background-color: var(--main-background) !important;
  577. border-color: var(--highlight) !important;
  578. }
  579. .item.feed.error > .item-title {
  580. color: var(--red);
  581. }
  582. .item.feed.active {
  583. background-color: var(--accent-bg);
  584. }
  585. .item.feed.active a {
  586. color: var(--highlight);
  587. }
  588. .item.feed.active .item-title {
  589. font-weight: bold;
  590. }
  591. li.item.active {
  592. background-color: var(--main-background);
  593. }
  594. .item.feed:hover {
  595. background-color: var(--accent-bg);
  596. transition: .3s;
  597. }
  598. .feed .item-title:not([data-unread="0"]) {
  599. font-weight: normal;
  600. }
  601. /*=== New article notification */
  602. #new-article {
  603. font-size: 0.9em;
  604. text-align: center;
  605. }
  606. #new-article > a {
  607. margin: 1rem auto;
  608. width: 90%;
  609. color: var(--purple);
  610. border: 2px solid var(--purple);
  611. border-radius: 6px;
  612. font-weight: bold;
  613. transition: 0.2s background-color, .2s color;
  614. }
  615. #new-article > a:hover {
  616. background-color: var(--purple);
  617. color: var(--main-background);
  618. text-decoration: none;
  619. }
  620. /*=== Transition indication, e.g. day */
  621. .transition {
  622. padding: 0 10px;
  623. font-weight: bold;
  624. line-height: 3em;
  625. }
  626. .transition .name {
  627. padding: 0 0 0 10px;
  628. font-size: 1.8em;
  629. opacity: 0.3;
  630. font-style: italic;
  631. text-align: left;
  632. }
  633. /*=== Feed article header and footer */
  634. .flux_header {
  635. position: relative;
  636. font-size: 0.8rem;
  637. cursor: pointer;
  638. }
  639. .flux_header .title {
  640. font-size: 0.8rem;
  641. }
  642. .flux .website .favicon {
  643. padding: 0.25rem;
  644. }
  645. .flux .content .tags .icon {
  646. padding: 0.25rem;
  647. }
  648. .flux .bottom {
  649. font-size: 0.8rem;
  650. text-align: center;
  651. }
  652. .flux_header:hover {
  653. background-color: var(--accent-bg);
  654. transition: .3s;
  655. }
  656. .flux.current {
  657. background: var(--accent-bg);
  658. border-right: 1px solid var(--highlight);
  659. }
  660. .flux.current > .flux_header {
  661. background: linear-gradient(to left, transparent 0, transparent 1px, var(--accent-bg) 1px);
  662. margin-right: -1px; /* Compensate increased border-left-width */
  663. }
  664. .flux:not(.current):hover .item .title {
  665. background: var(--accent-bg);
  666. transition: .3s;
  667. }
  668. .flux .flux_header .item .title {
  669. color: var(--text-default);
  670. }
  671. .flux .flux_header .item .title .summary {
  672. color: var(--text-accent);
  673. font-size: 0.8rem;
  674. font-style: italic;
  675. opacity: 0.8;
  676. }
  677. .flux .flux_header .item .title .author {
  678. color: var(--text-accent);
  679. opacity: 0.8;
  680. }
  681. /*=== Feed article content */
  682. .flux_content .content header h1.title {
  683. margin: 1.5rem 0px;
  684. }
  685. .flux_content .content header h1.title a {
  686. color: var(--highlight);
  687. }
  688. .content > footer .subtitle {
  689. border-color: var(--border-elements);
  690. }
  691. .content > header .dropdown-menu .dropdown-header,
  692. .content > footer .dropdown-menu .dropdown-header {
  693. color: var(--text-default);
  694. }
  695. .content hr {
  696. margin: 30px 10px;
  697. height: 1px;
  698. }
  699. .content pre {
  700. border: 1px solid var(--accent);
  701. border-radius: 6px;
  702. }
  703. .content pre code {
  704. border: none;
  705. }
  706. .content blockquote {
  707. margin: 0;
  708. padding: 5px 20px;
  709. display: block;
  710. }
  711. .content blockquote p {
  712. margin: 0;
  713. }
  714. /*=== Notification and actualize notification */
  715. .notification {
  716. background: var(--dropdown-bg);
  717. color: var(--text-default);
  718. font-size: 0.9rem;
  719. border-radius: 6px;
  720. border-color: var(--border-elements);
  721. z-index: 9999;
  722. font-weight: bold;
  723. box-shadow: 0px 0px 10px var(--frss-box-shadow-color-transparent);
  724. }
  725. .notification.bad {
  726. background-color: var(--red);
  727. color: var(--nord0-polarnight);
  728. }
  729. .notification.bad .icon {
  730. filter: brightness(60%);
  731. }
  732. .notification .close {
  733. padding: 1.25rem;
  734. line-height: 1;
  735. }
  736. .notification .close:hover {
  737. background-color: var(--border-elements);
  738. }
  739. .notification .close:hover .icon {
  740. filter: invert(86%) sepia(8%) saturate(1976%) hue-rotate(159deg) brightness(180%) contrast(100%);
  741. }
  742. /*=== Popup */
  743. #popup-content {
  744. background-color: var(--accent-bg);
  745. }
  746. #popup-txt {
  747. display: none;
  748. height: 100%;
  749. }
  750. /*=== Navigation menu (for articles) */
  751. #nav_entries {
  752. background: var(--accent-bg);
  753. }
  754. #nav_entries .item a:hover {
  755. background-color: var(--main-background);
  756. }
  757. #bigMarkAsRead.big {
  758. text-decoration: none;
  759. }
  760. #bigMarkAsRead:hover {
  761. background-color: var(--accent-bg);
  762. transition: .3s;
  763. }
  764. #bigMarkAsRead:hover .bigTick {
  765. color: var(--text-default);
  766. }
  767. .bigTick {
  768. color: var(--accent);
  769. font-size: 4em;
  770. }
  771. /*=== Statistiques */
  772. .stat > table td,
  773. .stat > table th {
  774. text-align: center;
  775. }
  776. .stat {
  777. margin: 10px 0 20px;
  778. }
  779. /*=== Slider */
  780. #slider {
  781. background: var(--accent-bg);
  782. }
  783. /*=== DIVERS */
  784. /*===========*/
  785. .title.error::before {
  786. color: var(--red);
  787. }
  788. .nav_menu {
  789. padding: 5px 0;
  790. text-align: center;
  791. }
  792. .nav_menu #nav_menu_toggle_aside {
  793. position: static;
  794. }
  795. .nav_menu .btn {
  796. margin: .125rem;
  797. }
  798. .nav_menu .group {
  799. margin-left: 1rem;
  800. margin-right: .125rem;
  801. }
  802. .theme-preview-list,
  803. .theme-preview-list .properties {
  804. border-color: var(--border-elements);
  805. }
  806. .theme-preview-list:hover,
  807. .theme-preview-list:hover .properties {
  808. border-color: var(--highlight);
  809. }
  810. .theme-preview-list .nav label {
  811. color: var(--accent);
  812. }
  813. .theme-preview-list .nav label:hover {
  814. color: var(--highlight)
  815. }
  816. /*=== PRINTER */
  817. /*============*/
  818. @media print {
  819. .header, .aside,
  820. .nav_menu, .transition,
  821. .flux_header,
  822. .flux_content .bottom,
  823. .pagination,
  824. #nav_entries {
  825. display: none;
  826. }
  827. html, body {
  828. background: #fff;
  829. color: #000;
  830. font-family: Serif;
  831. }
  832. #global,
  833. .flux_content {
  834. display: block !important;
  835. }
  836. .flux_content .content {
  837. width: 100% !important;
  838. }
  839. }
  840. /*=== PREVIEW */
  841. /*===========*/
  842. .preview_controls {
  843. background-color: var(--light-bg);
  844. border-color: var(--border-elements);
  845. }
  846. .preview_controls label {
  847. display: inline;
  848. }
  849. .preview_controls label input[type="radio"] {
  850. margin-top: -4px;
  851. }
  852. .preview_controls label + label {
  853. margin-right: 1rem;
  854. }
  855. .preview_background {
  856. background-color: transparent;
  857. }
  858. .drag-drop-marker {
  859. border: 2px dashed var(--highlight);
  860. }
  861. /*BEGINS BASE.CSS*/
  862. /*=== GENERAL */
  863. /*============*/
  864. /*=== Links */
  865. a, button.as-link {
  866. outline: none;
  867. }
  868. /*=== Forms */
  869. option,
  870. optgroup {
  871. padding-right: 0.5rem;
  872. }
  873. optgroup::before {
  874. padding-top: 1rem;
  875. padding-bottom: 0.5rem;
  876. color: var(--accent);
  877. font-style: normal;
  878. }
  879. /*=== COMPONENTS */
  880. /*===============*/
  881. /*=== Forms */
  882. .form-group.form-actions .btn {
  883. margin-left: 1rem;
  884. }
  885. /*=== Navigation */
  886. .nav-list {
  887. font-size: 0.9rem;
  888. }
  889. .nav-list .item,
  890. .nav-list .item.nav-header {
  891. min-height: 2.5em;
  892. line-height: 2.5;
  893. }
  894. .nav-list .item > a,
  895. .nav-list .item > .as-link {
  896. padding: 0 1rem;
  897. }
  898. .nav-list a:hover {
  899. text-decoration: none;
  900. }
  901. .nav-list .nav-header {
  902. padding: 0 1rem;
  903. font-weight: bold;
  904. }
  905. .nav-list .nav-form {
  906. padding: 3px;
  907. text-align: center;
  908. }
  909. /*=== Dropdown */
  910. .dropdown-menu::after {
  911. top: -5px;
  912. border: none;
  913. }
  914. .dropdown-menu > .item > a,
  915. .dropdown-menu > .item > span,
  916. .dropdown-menu > .item > .as-link,
  917. .dropdown-menu > .item > ul > .item > a,
  918. .dropdown-menu > .item > ul > .item > span,
  919. .dropdown-menu > .item > ul > .item > .as-link {
  920. color: var(--text-accent) !important;
  921. }
  922. /*=== STRUCTURE */
  923. /*===============*/
  924. /*=== Header */
  925. /*=== Body */
  926. /*=== Aside main page (categories) */
  927. .aside_feed .tree-folder-title > .title:not([data-unread="0"])::after {
  928. margin: 10px 0;
  929. padding: 0 0.5rem;
  930. font-size: 0.9rem;
  931. }
  932. .aside .category .title:not([data-unread="0"])::after,
  933. .aside .feed .item-title:not([data-unread="0"])::after {
  934. margin: calc(var(--frss-padding-top-bottom)) 0 0 0;
  935. text-align: left;
  936. left: 0.25rem;
  937. }
  938. .aside .feed.active .item-title:not([data-unread="0"])::after {
  939. color: var(--main-background);
  940. border: none;
  941. background-color: var(--highlight);
  942. }
  943. .aside .feed.active:hover .item-title:not([data-unread="0"])::after {
  944. background-color: var(--text-default);
  945. }
  946. /*=== Aside main page (feeds) */
  947. .aside_feed .tree-folder-items .dropdown-menu::after {
  948. right: 2px;
  949. }
  950. /*=== Prompt (centered) */
  951. .prompt input {
  952. margin: 5px auto;
  953. width: 100%;
  954. }
  955. /*=== Navigation menu (for articles) */
  956. #stream-footer {
  957. border-top: 0;
  958. }
  959. /*=== READER VIEW */
  960. /*================*/
  961. #stream.reader .flux {
  962. background-color: var(--main-background);
  963. border: none;
  964. }
  965. #stream.reader .flux .flux_content {
  966. background-color: var(--accent-bg);
  967. border: none;
  968. border-radius: 12px;
  969. }
  970. /*=== GLOBAL VIEW */
  971. /*================*/
  972. .box.category .box-title .title {
  973. font-weight: normal;
  974. text-decoration: none;
  975. text-align: right;
  976. }
  977. .box.category .title:not([data-unread="0"])::after {
  978. background: none;
  979. border: 0;
  980. position: absolute;
  981. top: 5px; left: 10px;
  982. font-weight: bold;
  983. box-shadow: none;
  984. text-shadow: none;
  985. }
  986. #panel {
  987. background-color: var(--main-background);
  988. }
  989. /*=== MOBILE */
  990. /*===========*/
  991. @media (max-width: 840px) {
  992. .aside.visible + .close-aside,
  993. .configure .dropdown-target:target ~ .dropdown-close {
  994. backdrop-filter: grayscale(60%) blur(1px);
  995. }
  996. .aside {
  997. right: 0;
  998. }
  999. .nav.aside {
  1000. border-radius: 0;
  1001. }
  1002. .configure .dropdown .dropdown-menu {
  1003. max-width: 300px;
  1004. }
  1005. .flux .website .favicon {
  1006. position: relative;
  1007. }
  1008. #overlay {
  1009. background-color: var(--accent-bg);
  1010. }
  1011. #slider.active {
  1012. background-color: var(--main-background);
  1013. }
  1014. #close-slider img {
  1015. display: initial;
  1016. }
  1017. #close-slider.active {
  1018. background: var(--main-background);
  1019. display: block;
  1020. width: 100%;
  1021. height: 50px;
  1022. z-index: 10;
  1023. text-align: center;
  1024. line-height: 50px;
  1025. border-bottom: 1px solid #ddd;
  1026. }
  1027. .stat.half {
  1028. grid-column: 1 / span 2;
  1029. }
  1030. .nav_menu .btn {
  1031. margin-bottom: .5rem;
  1032. }
  1033. .nav_menu .stick #mark-read-menu .dropdown-toggle.btn {
  1034. border-right: 1px solid var(--border-elements);
  1035. border-top-right-radius: 6px;
  1036. border-bottom-right-radius: 6px;
  1037. }
  1038. .nav_menu .search input {
  1039. max-width: 97%;
  1040. width: 90px;
  1041. }
  1042. .nav_menu .search input:focus {
  1043. width: 400px;
  1044. }
  1045. .dropdown .dropdown-menu .item .stick.search {
  1046. width: 100%;
  1047. }
  1048. .post {
  1049. padding: 1rem;
  1050. }
  1051. .transition .name {
  1052. font-size: 1.1rem;
  1053. }
  1054. .pagination {
  1055. margin: 0 0 3.5em;
  1056. }
  1057. .notification {
  1058. top: 1%;
  1059. right: 2%;
  1060. left: 2%;
  1061. }
  1062. .notification .close {
  1063. display: block;
  1064. right: 0;
  1065. }
  1066. .notification .close:hover {
  1067. opacity: 0.5;
  1068. }
  1069. .notification .close .icon {
  1070. display: none;
  1071. }
  1072. .alert {
  1073. width: 85%;
  1074. }
  1075. .dropdown-menu {
  1076. margin: 0;
  1077. }
  1078. .dropdown .dropdown-menu {
  1079. border-radius: 6px;
  1080. }
  1081. #overlay .close {
  1082. background: var(--accent-bg);
  1083. border: 1px solid var(--accent-border);
  1084. box-sizing: border-box;
  1085. transition: 0.2s;
  1086. }
  1087. #overlay .close:hover {
  1088. background-color: var(--main-background) !important;
  1089. border-color: var(--highlight) !important;
  1090. }
  1091. .header .configure .dropdown .dropdown-menu {
  1092. border-radius: 0;
  1093. }
  1094. .form-group .group-name {
  1095. font-weight: bold;
  1096. padding: 0 0 0.25rem 0;
  1097. }
  1098. .form-group .group-name::after {
  1099. content: ':';
  1100. }
  1101. .form-group {
  1102. margin-top: 2rem;
  1103. margin-bottom: 2rem;
  1104. }
  1105. }